# $Revision: 1.14 $, $Date: 2010/07/08 08:17:58 $
Summary:	A Python library for manipulating kickstart files
Summary(pl.UTF-8):	Pythonowa biblioteka do obróbki plików kickstart
Name:		python-kickstart
Version:	1.50
Release:	2
License:	GPL
Group:		Libraries/Python
# https://fedorahosted.org/releases/p/y/pykickstart/ (not yet)
Source0:	pykickstart-%{version}.tar.gz
# Source0-md5:	a323c2d1242e7dd1ef4e0bb46f0eacb7
URL:		http://fedoraproject.org/wiki/Pykickstart
BuildRequires:	gettext-devel
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pykickstart package is a Python library for manipulating kickstart
files.

%description -l pl.UTF-8
Pakiet pykickstart to pythonowa biblioteka do obróbki plików
kickstart.

%prep
%setup -q -n pykickstart-%{version}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/programmers-guide
%attr(755,root,root) %{_bindir}/ksflatten
%attr(755,root,root) %{_bindir}/ksvalidator
%attr(755,root,root) %{_bindir}/ksverdiff
%{py_sitescriptdir}/pykickstart-%{version}-py*.egg-info
%{py_sitescriptdir}/pykickstart

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-kickstart.spec,v $
Revision 1.14  2010/07/08 08:17:58  arekm
- release 2

Revision 1.13  2009/01/17 20:30:53  patrys
- package more files

Revision 1.12  2009/01/17 01:34:20  qwiat
- 1.50

Revision 1.11  2008/10/11 15:55:54  patrys
- 1.44

Revision 1.10  2008/10/03 17:52:36  arekm
- release 2

Revision 1.9  2008/09/10 05:48:03  qboosh
- URL

Revision 1.8  2008/08/29 20:16:49  glen
- BR gettext-devel for msgfmt

Revision 1.7  2008/08/26 23:56:38  patrys
- 1.42

Revision 1.6  2007-12-17 14:40:39  patrys
- 1.23

Revision 1.5  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/05/18 21:13:23  qboosh
- removed COPYING from doc (just GPL)

Revision 1.2  2006/05/18 21:12:27  qboosh
- pl

Revision 1.1  2006/05/16 19:08:23  glen
- adapted from FC5
